Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class Exceptions

    java.lang.Object
      org.apache.openjpa.util.Exceptions

Direct Known Subclasses:
  PersistenceExceptions

    public class Exceptions

extends Object

Utility methods for externalizing and handling exceptions.

Since:
  0.2.5
Author:
  Marc Prud'hommeaux

Field Summary
`static Throwable[]` | `EMPTY_THROWABLES`
`(package private) static String` | `SEP`

Constructor Summary
`Exceptions()`

Method Summary
`static void` | `printNestedThrowables(ExceptionInfo e, PrintStream out)` Print the stack trace of the exception's nested throwables.
`static void` | `printNestedThrowables(ExceptionInfo e, PrintWriter out)` Print the stack trace of the exception's nested throwables.
`static Object` | `replaceFailedObject(Object ob)` Convert the specified failed object into a serializable object for when we are serializing an Exception.
`static Throwable[]` | `replaceNestedThrowables(Throwable[] nested)` Convert the specified throwables into a serialzable array.
`static String` | `toClassName(Class<?> cls)`
`static String` | `toClassNames(Collection<? extends Class<?>> classes)`
`static String` | `toString(Collection failed)` Safely stringify the given objects.
`static String` | `toString(ExceptionInfo e)` Stringify the given exception.
`static String` | `toString(Object ob)` Safely stringify the given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_THROWABLES

    public static final Throwable[] EMPTY_THROWABLES

### SEP

    static final String SEP

Constructor Detail

### Exceptions

    public Exceptions()

Method Detail

### toString

    public static String toString(Object ob)

  Safely stringify the given object.

### toString

    public static String toString(Collection failed)

  Safely stringify the given objects.

### toString

    public static String toString(ExceptionInfo e)

  Stringify the given exception.

### printNestedThrowables

    public static void printNestedThrowables(ExceptionInfo e,
                                             PrintStream out)

  Print the stack trace of the exception's nested throwables.

### printNestedThrowables

    public static void printNestedThrowables(ExceptionInfo e,
                                             PrintWriter out)

  Print the stack trace of the exception's nested throwables.

### replaceFailedObject

    public static Object replaceFailedObject(Object ob)

  Convert the specified failed object into a serializable object for when we are serializing an Exception. It will try the following:
  - if the object can be serialized, return the object itself
  - if the object has a serializable oid, return the oid
  - if the object has a non-serializable oid, return the oid's toString and the object class
  - return the object's toString

  Parameters:
    `ob` - the object to convert
  Returns:
    some serialized representation of the object

### replaceNestedThrowables

    public static Throwable[] replaceNestedThrowables(Throwable[] nested)

  Convert the specified throwables into a serialzable array. If any of the nested throwables cannot be serialized, they will be converted into a Exception with the original message.

### toClassName

    public static String toClassName(Class<?> cls)

### toClassNames

    public static String toClassNames(Collection<? extends Class<?>> classes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.